Bug 10043 - Clear notforloan on receipt
Summary: Clear notforloan on receipt
Status: In Discussion
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Target Milestone: ---
Assignee: Amit Gupta
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-04-14 04:04 UTC by Amit Gupta
Modified: 2016-12-01 21:58 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this: 2013-10-28 00:00:00
Who signed the patch off:
Text to go in the release notes:


Attachments
Clear notforloan on receipt (1.15 KB, patch)
2013-05-15 16:44 UTC, Amit Gupta
Details | Diff | Splinter Review
Clear not for loan on receipt (1.15 KB, patch)
2013-06-02 07:58 UTC, Amit Gupta
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Amit Gupta 2013-04-14 04:04:35 UTC
When receiving an item to have the facility to scan the barcode and change the status of the item from ON ORDER to JUST RECEIVED automatically
Comment 1 Amit Gupta 2013-05-15 16:44:20 UTC Comment hidden (obsolete)
Comment 2 Amit Gupta 2013-06-02 07:58:43 UTC
Created attachment 18589 [details] [review]
Clear not for loan on receipt

Clear not for loan on receipt

When receiving an item to have the facility
to scan the barcode and change the status of the item
from ON ORDER to JUST RECEIVED automatically

To Test:
1) Create a ACQ framwork in MARC bibliographic framework
2) Search 952 tag and set default value notforloan is to -1
3) Create a basket for ex: basket1
4) Create order under basket
5) Close the basket
6) Receive the shipment
7) By default notforloan value is Ordered
8) Once you receive the order item tag value is available or value is 0
Comment 3 Katrin Fischer 2013-06-03 09:37:56 UTC
Hi Amit, there is another feature in the queue that might do want you do here but in a bit more flexible way (being configurable by a system preference). Maybe take a look at but 8307?
Comment 4 Magnus Enger 2013-08-09 11:58:58 UTC
"Bug 8307 - Set a value for items when receiving" is now "Passed QA".
Comment 5 I'm just a bot 2013-09-29 05:36:42 UTC
Patch applied cleanly, go forth and signoff
Comment 6 I'm just a bot 2013-10-28 06:22:22 UTC
Patch applied cleanly, go forth and signoff
Comment 7 Chris Cormack 2013-12-23 22:09:38 UTC
Bug 8307 has been pushed now, so it would be best to look at that and rework this.
Comment 8 Marc Véron 2016-10-03 15:43:56 UTC
Still valid?